package com.huimv.receive.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.receive.entity.BaseProcess;
import com.huimv.receive.entity.vo.BaseProcessByLocationVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 流程表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface BaseProcessMapper extends BaseMapper<BaseProcess> {

    IPage<BaseProcessByLocationVo> pageByLocationId(Page<BaseProcessByLocationVo> byLocationVoPage, @Param("locationId")String locationId, @Param("userId")Integer userId);
}
